Subject: Re: bug#26623: 24.5; bad variable name: `inside-post-command-hook'

From: Richard Stallman <[email-masked]>
Date: Wed, 26 Apr 2017 13:18:51 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > No, it's the other way around: a hook variable should have its name
  > end in "-hook", but not every symbol whose name ends in "-hook" is a
  > hook variable.

I think it is a good idea to avoid making more variables that are not
hooks but have names which suggest they were hooks.  Let's aim to have
-hook mean it's a hook.

Perhaps `inside-post-command-hook-call' is a good name for this
variable.

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.